<script setup>
const props = defineProps({
  calendar: {
    type: Array,
    required: true,
  },
});
</script>

<template>
  <div class="flex flex-col xl:flex-row gap-4">
    <div
      v-for="item in props.calendar"
      :key="item.day"
      class="flex xl:flex-col flex-1 items-center"
    >
      <div
        :class="[
          'min-w-[100px]',
          'xl:min-w-[auto]',
          'xl:w-full',
          'font-cream',
          'uppercase',
          'mr-4',
          'xl:mb-4',
          'xl:mr-0',
        ]"
      >
        <p
          :class="[
            'text-center',
            !!item.hours.length && [
              'bg-las-orange dark:bg-las-d-orange',
              'text-white',
              'rounded',
              'shadow-sm',
            ],
          ]"
        >
          {{ item.day }}
        </p>
      </div>

      <div
        v-for="(hours, index) in item.hours"
        :key="index"
        :class="[
          'min-w-[100px]',
          'xl:min-w-[auto]',
          'xl:w-full',
          'bg-white',
          'text-center',
          'rounded',
          'shadow',
          'p-2',
          'mr-4',
          'xl:mb-4',
          'xl:mr-0',
          'dark:bg-las-d-prune',
        ]"
      >
        <div>{{ hours[0] }}</div>
        <div>{{ hours[1] }}</div>
      </div>
    </div>
  </div>
</template>
